Subject: Re: bug#42154: 26.3; [DOC] This wording is too complex: frame's window-system window.

From: Kevin Vigouroux <[email-masked]>
Date: Thu, 02 Jul 2020 14:15:09 +0200

Yes, it is more clear.

Can we replace the expression "window-system's window" by "graphical
application" if appropriate?

The former expression is a bit of jargon. See the following rewording.

   On a graphical terminal we distinguish two types of frames. A normal
"top-level frame" is a usual graphical application; this Emacs frame may
be directly managed by the window system. A child frame is a kind of
special frame that depends on another frame and is handled by Emacs.

[Elisp manual, chapter 19. Frames]

   On a graphical terminal we distinguish two types of frames: A normal
“top-level frame” is a frame whose window-system window is a child of
the window-system’s root window for that terminal.  A child frame is a
frame whose window-system window is the child of the window-system
window of another Emacs frame.  *Note Child Frames*.